Bug 128264 - Update www/opera and www/opera-linuxplugins to version 9.61
Summary: Update www/opera and www/opera-linuxplugins to version 9.61
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-21 09:50 UTC by Arjan van Leeuwen
Modified: 2008-10-28 21:00 UTC (History)
0 users

See Also:


Attachments
opera.diff (5.62 KB, patch)
2008-10-21 09:50 UTC, Arjan van Leeuwen
no flags Details | Diff
vuln.xml.diff (2.32 KB, patch)
2008-10-21 09:50 UTC, Arjan van Leeuwen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arjan van Leeuwen 2008-10-21 09:50:01 UTC

These patches update Opera (www/opera) and www/opera-linuxplugins to version 9.61. Includes VuXML entry for security issues.

Changelog: http://www.opera.com/docs/changelogs/freebsd/961/

Fix: diff -urN /usr/ports/www/opera-linuxplugins/Makefile opera-linuxplugins/Makefile
--- /usr/ports/www/opera-linuxplugins/Makefile	2008-10-10 11:44:54.000000000 +0200
+++ opera-linuxplugins/Makefile	2008-10-21 10:37:03.851423338 +0200
@@ -29,13 +29,13 @@
 MAINTAINER=	freebsd-maintainer@opera.com
 COMMENT=	Linux plugin support for the native Opera browser
 
-RUN_DEPENDS=	${LOCALBASE}/share/opera/bin/operapluginwrapper:${PORTSDIR}/www/opera
+RUN_DEPENDS=	${PREFIX}/share/opera/bin/operapluginwrapper:${PORTSDIR}/www/opera
 
-OPERA_VER=	9.60
+OPERA_VER=	9.61
 OPERA_MINVER=
 OPERA_REL=	final
-OPERA_DATE=	20081004
-OPERA_BUILD=	2444
+OPERA_DATE=	20081017
+OPERA_BUILD=	2456
 
 USE_BZIP2=	yes
 USE_LINUX=	yes
diff -urN /usr/ports/www/opera-linuxplugins/distinfo opera-linuxplugins/distinfo
--- /usr/ports/www/opera-linuxplugins/distinfo	2008-10-10 11:44:54.000000000 +0200
+++ opera-linuxplugins/distinfo	2008-10-21 10:36:27.504895498 +0200
@@ -1,3 +1,3 @@
-MD5 (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = 2020395b8422e881e77928b586519bf8
-SHA256 (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = c45586665b317bb1dcc590b891df371d602db2d044da55f2f623388a35bbd2b5
-SIZE (opera-9.60.gcc3-shared-qt3.i386.tar.bz2) = 7165845
+MD5 (opera-9.61.gcc3-shared-qt3.i386.tar.bz2) = 12cb3ce5ad031c38ede4385e1a298d89
+SHA256 (opera-9.61.gcc3-shared-qt3.i386.tar.bz2) = 15163faab9d9eb9c5000c944f5d81a003ec7a43927f2d02c7f145fadd870a9e6
+SIZE (opera-9.61.gcc3-shared-qt3.i386.tar.bz2) = 7301358
--- opera-linuxplugins.diff ends here ---
Comment 1 Edwin Groothuis freebsd_committer 2008-10-21 09:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

itetcu@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2008-10-28 20:13:54 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2008-10-28 20:43:54 UTC
tabthorpe    2008-10-28 20:05:44 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  - Document opera -- multiple vulnerabilities
  
  PR:             ports/128264
  Submitted by:   Arjan van Leeuwen <freebsd-maintainer opera.com>
  
  Revision  Changes    Path
  1.1733    +48 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2008-10-28 20:50:24 UTC
tabthorpe    2008-10-28 20:13:13 UTC

  FreeBSD ports repository

  Modified files:
    www/opera            Makefile distinfo pkg-plist 
    www/opera/files      operapluginwrapper 
    www/opera-linuxplugins Makefile distinfo 
  Log:
  - Update to 9.61
  
  PR:             ports/128264
  Submitted by:   Arjan van Leeuwen <freebsd-maintainer opera.com> (maintainer)
  Reviewed by:    itetcu
  Security:       http://www.vuxml.org/freebsd/f5c4d7f7-9f4b-11dd-bab1-001999392805.html
  
  Revision  Changes    Path
  1.8       +4 -4      ports/www/opera-linuxplugins/Makefile
  1.5       +3 -3      ports/www/opera-linuxplugins/distinfo
  1.81      +3 -4      ports/www/opera/Makefile
  1.53      +15 -15    ports/www/opera/distinfo
  1.3       +8 -7      ports/www/opera/files/operapluginwrapper
  1.35      +15 -0     ports/www/opera/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"